externdef _bits:qword					;holds the values of the powers of 2 from 2^0 to 2^63
externdef _upper:qword
externdef _lower:qword
externdef _tobase2:qword				;array holding the char representation for Binary
externdef _tobase8:qword				;array holding the char representation for octadecimal
externdef _tobase10:qword				;array holding the char representation for decimal
externdef _tobase16:qword				;array holding the char representation for hex
externdef _tobase32:qword				;array holding the char representation for base 32
externdef _tobase64:qword				;array holding char representation for base 64
externdef _frombase2:qword				;array holding the numeraical value for Binary
externdef _frombase8:qword				;array holding the numeraical value for octadecimal
externdef _frombase10:qword				;array holding the numeraical value for decimal
externdef _frombase16:qword				;array holding the numeraical value for hex
externdef _frombase32:qword				;array holding the numeraical value for base 32
externdef _frombase64:qword				;array holding the numeraical value for base 64
	
externdef _initialized:qword			;value indicating if Initialization has been done or not yet
externdef _tbase:qword					;deprecated for Radix
externdef _max:qword					;value representing the Max value
externdef _zero:qword					;0
externdef _one:qword					;1
externdef _two:qword					;2
externdef _three:qword					;3
externdef _four:qword					;4
externdef _seven:qword					;7
externdef _eight:qword					;8
externdef _nine:qword					;9
externdef _ten:qword					;10
externdef _fifteen:qword				;15
externdef _sixteen:qword				;16
externdef _twenty:qword					;20
externdef _twentyfour:qword				;24
externdef _thirtyone:qword				;31
externdef _thirtytwo:qword				;32
externdef _fourtyeight:qword			;48
externdef _fourtynine:qword				;49
externdef _fifty:qword					;50
externdef _fiftyone:qword				;51
externdef _fiftytwo:qword				;52
externdef _fiftythree:qword				;53
externdef _fiftyfour:qword				;54
externdef _fiftyfive:qword				;55
externdef _fiftysix:qword				;56
externdef _fiftyseven:qword				;57
externdef _sixtythree:qword				;63
externdef _sixtyfour:qword				;64
externdef _twofiftysix:qword			;256

externdef _bdln:qword
externdef _bdpi:qword					;value of PI in ABD
externdef _bfpi:qword					;value of PI in ABF
externdef _bde:qword					;value of the natural log in ABD
externdef _bfe:qword					;value of the natural log in ABF
externdef _bdtorad:qword				;value of PI/180 in ABD
externdef _bftorad:qword				;value of PI/180 in ABF
externdef _bdsqr2:qword					;Value of Square Root of 2 in ABD
externdef _bfsqr2:qword					;value of Square Root of 2 in ABF
externdef _bdphi:qword					;value of PHI in ABD
externdef _bfphi:qword					;value of PHI in ABF
externdef _bdlambda:qword				;value of Lambda in ABD
externdef _bflambda:qword				;value of Lambda in ABF
externdef _bdgoldenratio:qword			;value represents the Golden Ratio in ABD
externdef _bfgoldenratio:qword			;value represents the Golden Ratio in ABF
externdef _bd2sqr3:qword				;value represents 2 - Square Root of 3 in ABD
externdef _bf2sqr3:qword				;Value represents 2 - Square Root of 3 in ABF
externdef _bdsqr3:qword					;Value represents Square Root of 3 in ABD
externdef _bfsqr3:qword					;Value represents Square Root of 3 in ABF

externdef _binegone:qword				;Value representing Negative One in ABI
externdef _bizero:qword					;Value representing Zero in ABI
externdef _bione:qword					;Value representing One in ABI
externdef _bifive:qword					;Value representing Five in ABI
externdef _biten:qword					;Value representing Ten in ABI
externdef _bitemp:qword					;Temp ABI Variable

externdef _bdnegone:qword				;Value representing Negative One in ABD
externdef _bdzero:qword					;Value represents Zero in ABD
externdef _bdone:qword					;Value represents One in ABD
externdef _bdfive:qword					;value represents Five in ABD
externdef _bdten:qword					;Value represents Ten in ABD
externdef _bdtemp:qword					;Temp ABD Variable

externdef _bfnegone:qword				;Value representing Negative One in ABF
externdef _bfzero:qword					;Value represents Zero in ABF
externdef _bfone:qword					;Value represents One in ABF
externdef _bffive:qword					;Value represents Five in ABF
externdef _bften:qword					;Value represents Ten in ABF
externdef _bftemp:qword					;Temp ABF variable

externdef _debug:byte					;deprecated for _dodebug this is the switch to debug or not
externdef _copyvals:byte				;deprecated for _docopyvals this switch controls whether the debug variables take possession of pointers or makes a copy
externdef _debuginit:qword				;this tells if Debug has been initialized
externdef _dstack:qword					;this holds the pointer to the debug stack
externdef _dodebug:qword				;this is the switch to debug or not
externdef _docopyvals:qword				;this switch controls whether the debug variables take possession of pointers or makes a copy
externdef _howtohandlerounding:qword	;Value describing how to handle rounding
externdef _decimallimit:qword			;the Decimal Limit
externdef _workingdecimallimit:qword	;The working decimalLimit
externdef _radix:qword					;The Radix currently being used
externdef _defaultcyclecount:qword

externdef _suboffset:qword
externdef _norm:qword
externdef _red:qword
externdef _add:qword
externdef _sub:qword
externdef _initvals:qword


_v1 equ<qword ptr[rbp+48]>				;this is where _val1 is stored
_v2 equ<qword ptr[rbp+56]>				;this is where _val2 is stored
_v3 equ<qword ptr[rbp+64]>				;this is where _val3 is stored
_t1 equ<qword ptr[rbp+72]>				;this is where _temp variable 1 is stored
_t2 equ<qword ptr[rbp+80]>				;this is where _temp variable 2 is stored
_t3 equ<qword ptr[rbp+88]>				;this is where _temp variable 3 is stored
_t4 equ<qword ptr[rbp+200]>				;this is where _temp variable 4 is stored
_t5 equ<qword ptr[rbp+208]>				;this is where _temp variable 5 is stored
_t6 equ<qword ptr[rbp+216]>				;this is where _temp variable 6 is stored
_t7 equ<qword ptr[rbp+224]>				;this is where _temp variable 7 is stored
_t8 equ<qword ptr[rbp+232]>				;this is where _temp variable 8 is stored
_t9 equ<qword ptr[rbp+240]>				;this is where _temp variable 9 is stored
_var1 equ<qword ptr[rbp+96]>			;this is where internal variable 1 is stored
_var2 equ<qword ptr[rbp+104]>			;this is where internal variable 2 is stored
_var3 equ<qword ptr[rbp+112]>			;this is where internal variable 3 is stored
_var4 equ<qword ptr[rbp+152]>			;this is where internal variable 4 is stored
_var5 equ<qword ptr[rbp+160]>			;this is where internal variable 5 is stored
_var6 equ<qword ptr[rbp+168]>			;this is where internal variable 6 is stored
_var7 equ<qword ptr[rbp+176]>			;this is where internal variable 7 is stored
_var8 equ<qword ptr[rbp+184]>			;this is where internal variable 8 is stored
_var9 equ<qword ptr[rbp+192]>			;this is where internal variable 9 is stored
_retval equ<qword ptr[rbp+120]>			;this is where the _retval is stored
_dp equ<qword ptr[rbp+128]>				;this is where the _decimalplace is stored
_sgn equ<qword ptr[rbp+136]>			;this is where the _sign is stored
_jfunc equ<qword ptr[rbp+144]>			;this is where _jfunc is stored
_rax equ<qword ptr[rbp+248]>
_rbx equ<qword ptr[rbp+256]>
_rcx equ<qword ptr[rbp+264]>
_rdx equ<qword ptr[rbp+272]>
_rdi equ<qword ptr[rbp+280]>
_rsi equ<qword ptr[rbp+288]>
_r8 equ<qword ptr[rbp+296]>
_r9 equ<qword ptr[rbp+304]>
_r10 equ<qword ptr[rbp+312]>
_r11 equ<qword ptr[rbp+320]>
_r12 equ<qword ptr[rbp+328]>
_r13 equ<qword ptr[rbp+336]>
_r14 equ<qword ptr[rbp+344]>
_r15 equ<qword ptr[rbp+352]>

;FAST equ<1>							;this switch controls if the routines call into subs or if they are inlined
;